## org.codehaus.groovy.runtime
Class DefaultMethodKey

A default implementation of MethodKey

author:
  James Strachan

version:
  $Revision: 8106 $

Field Summary
`def` | `parameterTypes`

Constructor Summary
`DefaultMethodKey(Class sender, String name, def parameterTypes, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`

Constructor Detail

### DefaultMethodKey

    public DefaultMethodKey(Class sender, String name, def parameterTypes, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)